// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// HOME:

#home {
  @include shadow;
  @include flexbox();
  @include flex-direction(column);
  @include justify-content(space-evenly);
  min-height: calc(
    100vh - (2 *#{$main-padding}) -
      (#{$logo-a-height} + (2 *#{$masthead-vertical-padding}))
  ); // 100% of viewport height minus main paddings minus header height.
  text-align: center;

  :global(#title) {
    font-size: 3.2rem;
    line-height: 52px;
    color: white;
    text-shadow: var(--shadow-elevation);
    padding-bottom: 10px;
  }
  :global(#desc_and_objective) {
    font-size: 1.8rem;
    line-height: 32px;
    text-shadow: var(--shadow-elevation);
    :global(#description) {
      color: $light-blue;
      padding-bottom: 10px;
    }
    :global(#objective) {
      color: white;
    }
  }

  // RESPONSIVENESS RULES:

  @media screen and (max-width: $tablet-width) {
    :global(#title) {
      font-size: 2.4rem;
      line-height: 42px;
    }
    :global(#desc_and_objective) {
      font-size: 1.4rem;
      line-height: 26px;
    }
  }
  @media screen and (max-width: $smartphone-width) {
    :global(#title) {
      font-size: 1.8rem;
      line-height: 32px;
    }
  }
}
